Subject: Re: blame --ignore-rev - repo-level ignore file

From: Jonathan Nieder <[email-masked]>
Date: Fri, 17 Apr 2020 17:52:53 -0700

(+Barret)
Hi!

Enji Cooper wrote:

> Hi,

> Given the increased number of C/C++ and python projects that both
> use git and a tool like black (python formatting tool), or
> clang-format (C/C++ tool, primarily), I would like to seriously
> consider revisiting the topic "blame --ignore-rev - repo-level
> ignore file” topic that was originally started by Terry Davis here
> [1] (quoted above for historical reference with the reply provided
> by Barret Rhoden).
>
> Having a default configuration that can be used with git instead of
> forcing end-users to set custom configs per repo clone would make it
> considerably easier for end-users: one could clone a repo, reformat
> code with an automated tool in a series of known commits, add
> ignored revisions to the file when using git blame, then make
> additional changes building off the automated reformatters' changes.
>
> I will be more than happy to submit patches to make this possible; I
> just need some guidance in terms of what’s required when
> contributing changes, etc.

The first question would be what you expect the end-to-end workflow
to look like for users.  What commands would they run?  How would
they discover them?

As for the general contribution process:
https://www.kernel.org/pub/software/scm/git/docs/MyFirstContribution.html
is a good starting point.

Thanks and hope that helps,
Jonathan

> 1. https://marc.info/?l=git&m=156864623817929&q=mbox